Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.iiop
Interface CorbaORBServiceMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  CorbaORBService

public interface CorbaORBServiceMBean
extends org.jboss.system.ServiceMBean

Mbean interface for the JBoss CORBA ORB service.

Version:
  $Revision: 1.19 $
Author:
  Ole Husgaard, Francisco Reverbel

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`javax.ejb.spi.HandleDelegate` | `getHandleDelegate()`
`ORB` | `getORB()`
`String` | `getORBClass()`
`String` | `getORBPropertiesFileName()`
`String` | `getORBSingletonClass()`
`String` | `getORBSingletonDelegate()`
`int` | `getPort()`
`Element` | `getPortableInterceptorInitializers()`
`String` | `getSecurityDomain()`
`int` | `getSSLPort()`
`boolean` | `getSunJDK14IsLocalBugFix()`
`void` | `setORBClass(String orbClass)`
`void` | `setORBPropertiesFileName(String orbPropertiesFileName)`
`void` | `setORBSingletonClass(String orbSingletonClass)`
`void` | `setORBSingletonDelegate(String orbSingletonDelegate)`
`void` | `setPort(int port)`
`void` | `setPortableInterceptorInitializers(Element portableInterceptorInitializers)`
`void` | `setSecurityDomain(String sslDomain)`
`void` | `setSSLPort(int sslPort)`
`void` | `setSunJDK14IsLocalBugFix(boolean sunJDK14IsLocalBugFix)`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### getORB

    public ORB getORB()

### getHandleDelegate

    public javax.ejb.spi.HandleDelegate getHandleDelegate()

### getORBClass

    public String getORBClass()

### setORBClass

    public void setORBClass(String orbClass)

### getORBSingletonClass

    public String getORBSingletonClass()

### setORBSingletonClass

    public void setORBSingletonClass(String orbSingletonClass)

### getORBSingletonDelegate

    public String getORBSingletonDelegate()

### setORBSingletonDelegate

    public void setORBSingletonDelegate(String orbSingletonDelegate)

### setORBPropertiesFileName

    public void setORBPropertiesFileName(String orbPropertiesFileName)

### getORBPropertiesFileName

    public String getORBPropertiesFileName()

### getPortableInterceptorInitializers

    public Element getPortableInterceptorInitializers()

### setPortableInterceptorInitializers

    public void setPortableInterceptorInitializers(Element portableInterceptorInitializers)

### setPort

    public void setPort(int port)

### getPort

    public int getPort()

### setSSLPort

    public void setSSLPort(int sslPort)

### getSSLPort

    public int getSSLPort()

### setSecurityDomain

    public void setSecurityDomain(String sslDomain)

### getSecurityDomain

    public String getSecurityDomain()

### getSunJDK14IsLocalBugFix

    public boolean getSunJDK14IsLocalBugFix()

### setSunJDK14IsLocalBugFix

    public void setSunJDK14IsLocalBugFix(boolean sunJDK14IsLocalBugFix)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.